import {useLocation, useNavigate, useParams, useSearchParams} from "react-router-dom";
import {useCallback} from "react";

export default function SonPage(){
    // 适用于 /path/:id 形式
    let params = useParams()

    // 适用于 /path?page=xxx 形式
    let [query] = useSearchParams()
    console.log(query, query.get("page"))

    let location = useLocation()

    const print = useCallback((obj)=>{
        return JSON.stringify(obj)
    },[])

    const nav = useNavigate()

    return <div>
        Son Page

        <div>
            params => {print(params)}
        </div>

        <div>
            query.get("page") => {print(query.get("page"))}
        </div>

        <div>
            location => {print(location)}
        </div>

        <div>
            <button onClick={() => nav("/")}> 跳转首页</button>
            <button onClick={() => nav(location.pathname, {
                state: {
                    msg: "hello"
                }
            })}> 添加 state 跳转 </button>
        </div>
    </div>
}
