import {configureStore, createSlice} from "@reduxjs/toolkit";

let msgSlice = createSlice({
    name: "msgSlice",
    initialState: {
        msg: "redux toolkit state msg"
    },
    reducers: {
        changeMsg(state, action){
            state.msg = action.payload
        }
    }
})

let countSlice = createSlice({
    name: "countSlice",
    initialState: {
        count: 0
    },
    reducers: {
        addCount(state, action){
            state.count+=1
        }
    }
})

let store = configureStore({
    reducer: {
        msgReducer: msgSlice.reducer,
        countReducer: countSlice.reducer
    }
})

export default store;

export const {
    changeMsg
} = msgSlice.actions

export const {
    addCount
} = countSlice.actions
